Bug 245731 - [RESTORE] emulators/openmsx: New maintainer
Summary: [RESTORE] emulators/openmsx: New maintainer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hiroki Tagato
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-19 01:14 UTC by Daniel Menelkir
Modified: 2020-05-04 03:56 UTC (History)
4 users (show)

See Also:
menelkir: maintainer-feedback+


Attachments
openmsx-v1.shar (2.32 KB, text/plain)
2020-04-19 01:14 UTC, Daniel Menelkir
no flags Details
openmsx-v1.diff (1.76 KB, patch)
2020-04-19 15:08 UTC, Daniel Menelkir
no flags Details | Diff
openmsx-v1.diff (1.72 KB, patch)
2020-05-01 16:53 UTC, Daniel Menelkir
no flags Details | Diff
Poudriere failed build log (27.53 KB, text/plain)
2020-05-02 11:43 UTC, Hiroki Tagato
no flags Details
openmsx-v2.diff (1.76 KB, patch)
2020-05-02 12:13 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2020-04-19 01:14:13 UTC
Created attachment 213552 [details]
openmsx-v1.shar

Expired: 2020-03-20
Reason: Has expired: Unmaintained, uses EOLed python27

Updated to use python3.
Updated to a commit because there's a lot of new stuff since 0.15.0 was launched.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-19 05:54:15 UTC
Thank you for working on restoring a previously deleted port Daniel.

If you're comfortable doing so, it would be great if you could provide a unified (svn or diff -u) diff against the last revision of the port, using the process outlined below:

https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/ports.html#ports-qa-re-adding
Comment 2 Daniel Menelkir 2020-04-19 15:08:11 UTC
Created attachment 213566 [details]
openmsx-v1.diff

(In reply to Kubilay Kocak from comment #1)

I'm having a bad time trying to download the revision probably due to traffic issues, so I've downloaded the files individually from the last working copy of the software and then diff with my version, is this ok? I'll attach the diff.
Comment 3 Hiroki Tagato freebsd_committer 2020-05-01 08:07:39 UTC
(In reply to Daniel Menelkir from comment #2)

Hi,

I tried the attached patch and somehow it won't apply.

Did you use with the URL "svn+ssh://repo.freebsd.org" when you tried to donwload the last living revision? If so, can you try again with the following procedure? (The URL "svn+ssh://repo.freebsd.org..." requires a valid credential to access. So please use a public svn repo instead.)

1. Checkout ports repository (if not already checked out)

$ svn checkout https://svn.freebsd.org/ports/head ports

2. Copy the last living version of the port

$ svn cp https://svn.freebsd.org/ports/head/emulators/openmsx@XXXXXX openmsx

Then, make necessary changes and make a diff file?
Comment 4 Daniel Menelkir 2020-05-01 16:53:25 UTC
Created attachment 214002 [details]
openmsx-v1.diff

(In reply to Hiroki Tagato from comment #3)
Comment 5 Hiroki Tagato freebsd_committer 2020-05-02 11:43:43 UTC
Created attachment 214025 [details]
Poudriere failed build log

(In reply to Daniel Menelkir from comment #4)

Hi,

Thanks for updating the patch.

I tried to build the port with poudriere and failed.

Maybe, the line

BINARY_ALIAS= python3=${PYTHON_CMD}

is necessary in the Makefile?
Comment 6 Daniel Menelkir 2020-05-02 12:13:48 UTC
Created attachment 214028 [details]
openmsx-v2.diff

(In reply to Hiroki Tagato from comment #5)

I've removed the minor patches for python and used the alias you suggested. Maybe is better this way all together than patching to skip future problems.

I've also changed the libasound line.
Comment 7 commit-hook freebsd_committer 2020-05-04 03:54:03 UTC
A commit references this bug:

Author: tagattie
Date: Mon May  4 03:53:23 UTC 2020
New revision: 533890
URL: https://svnweb.freebsd.org/changeset/ports/533890

Log:
  - Resurrect port and undeprecate
  - Pass maintainership to submitter
  - Add LICENSE_FILE
  - Drop dependency on python2

  PR:		245731
  Submitted by:	Daniel Menelkir <menelkir@itroll.org>
  Approved by:	ehaupt (mentor)

Changes:
  head/MOVED
  head/emulators/Makefile
  head/emulators/openmsx/
  head/emulators/openmsx/Makefile
  head/emulators/openmsx/distinfo
Comment 8 Hiroki Tagato freebsd_committer 2020-05-04 03:56:54 UTC
Committed, thanks!